#pragma once
#include "MyFrame.h"
#include "mof/Texture.h"

namespace et{
	class BattleData;

	class CommandMenu : public MyFrame
	{
		mof::Window* addSelectableTextItem(mof::Window* pOwner , std::vector<mof::Window*>& selectables , TCHAR* text , int size);
		
		mof::SelectionModel* m_pSelector;
		mof::TextureManager* m_pTextureManager;
		et::BattleData* m_pBattleData;
	public:
		CommandMenu(mof::TextureManager* pTextureManager , et::BattleData* pBattleData);
		virtual ~CommandMenu(void);
		virtual void setVisible(bool visible);
		virtual mof::SelectionModel* getSelectionModel(){return m_pSelector;}
		virtual MyFrame* performAction();
	};


}